Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.iview
Class SimpleEditorPanel

    java.lang.Object
      java.awt.Component
          java.awt.Container
              javax.swing.JComponent
                  javax.swing.JPanel
                      ix.iview.AConstructFramePanel
                          ix.iview.SimpleEditorPanel

All Implemented Interfaces:
  DataChangeListener, FramePanel, ConstructFraming, UndoEditing, VarSpecifier, java.awt.event.ActionListener, java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, java.util.EventListener, javax.accessibility.Accessible

    public class SimpleEditorPanel

extends AConstructFramePanel
implements java.awt.event.ActionListener

A minimal editor/viewer panel for making dummy panels Waiting to be implemented.

Example code for using the SimpleEditorPanel:

        ...
        ...

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class ix.iview.AConstructFramePanel
`AConstructFramePanel.FieldValue, AConstructFramePanel.JModifyDialog`

Nested classes/interfaces inherited from class javax.swing.JPanel
`javax.swing.JPanel.AccessibleJPanel`

Nested classes/interfaces inherited from class javax.swing.JComponent
`javax.swing.JComponent.AccessibleJComponent`

Nested classes/interfaces inherited from class java.awt.Container
`java.awt.Container.AccessibleAWTContainer`

Nested classes/interfaces inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

Field Summary

Fields inherited from class ix.iview.AConstructFramePanel
`currentConstructListeners, formPanel, mainPanel, parent, scrollPane, switching`

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`SimpleEditorPanel()` Dummy - Creates a JPanel

Method Summary
`void` | `actionPerformed(java.awt.event.ActionEvent ae)` Wakes up the ActionListener with a user action.
`boolean` | `checkConstruct()` Check a construct of the panel's type for errors and inconsistencies
`protected UIObject` | `cloneConstruct(UIObject uiConstruct)`
`boolean` | `frameActionPerformed(java.awt.event.ActionEvent event)` Should recognise panel specific events and processes them.
`java.util.List` | `getAllConstructs()` Get a full list of the constructs of the panel's type in the domain.
`Named` | `getNamedConstruct(java.lang.String name)` Get a named construct of the panel's type from the domain
`UIObject` | `makeNewConstruct()` Makes a new construct of the panel's type.
`void` | `newConstruct()` Make a new construct of the panel's type and get ready to edit it.
`UIObject` | `noteConstruct()` Note the contents of the panel into the current object.
`void` | `refresh()`
`void` | `saveConstruct()` Save a construct of the panel's type into the draft domain.
`void` | `setConstruct(UIObject construct)` Put a given construct of the panel's type into the panel ready for editing
`protected javax.swing.JPanel` | `setupMainPanel()` Sets up the main panel in which construct editing will happen.

Methods inherited from class ix.iview.AConstructFramePanel
`addCurrentConstructListener, addUndoListener, addVariableDeclaration, afterSwitching, askModifyDialog, askModifyOptions, beforeClosing, beforeOpening, beforeSwitching, canRedo, canUndo, clear, copyConstruct, dataChanged, deleteConstruct, editConstruct, fireConstructChanged, getDomain, getMainPanel, getUIConstruct, getUIDomain, getVarsToOffer, noteDraftConstruct, OLDsetUIConstruct, populatePopup, redo, registerListKeys, removeCurrentConstructListener, revertConstruct, revertOConstruct, search, setConstruct, setUIConstruct, setUIConstructPanel, setUIDomain, setupEditor, setupOuterPanel, undo, undoGetValue, undoSetValue, viewChanges, viewChangesFromOriginal`

Methods inherited from class javax.swing.JPanel
`getAccessibleContext, getUI, getUIClassID, paramString, setUI, updateUI`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBorder, getBounds, getClientProperty, getComponentGraphics, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addImpl, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SimpleEditorPanel

    public SimpleEditorPanel()

  Dummy - Creates a JPanel

Method Detail

### newConstruct

    public void newConstruct()

  Make a new construct of the panel's type and get ready to edit it.

  Specified by:
    `newConstruct` in interface `ConstructFraming`
  Overrides:
    `newConstruct` in class `AConstructFramePanel`

### makeNewConstruct

    public UIObject makeNewConstruct()

  Description copied from interface: `ConstructFraming`
  Makes a new construct of the panel's type.

  Specified by:
    `makeNewConstruct` in interface `ConstructFraming`
  Specified by:
    `makeNewConstruct` in class `AConstructFramePanel`

### saveConstruct

    public void saveConstruct()

  Save a construct of the panel's type into the draft domain.

  Specified by:
    `saveConstruct` in interface `ConstructFraming`
  Overrides:
    `saveConstruct` in class `AConstructFramePanel`

### noteConstruct

    public UIObject noteConstruct()

  Note the contents of the panel into the current object.

  Specified by:
    `noteConstruct` in class `AConstructFramePanel`

### getNamedConstruct

    public Named getNamedConstruct(java.lang.String name)

  Get a named construct of the panel's type from the domain

  Specified by:
    `getNamedConstruct` in interface `ConstructFraming`

### setConstruct

    public void setConstruct(UIObject construct)

  Put a given construct of the panel's type into the panel ready for editing

### checkConstruct

    public boolean checkConstruct()

  Check a construct of the panel's type for errors and inconsistencies

  Specified by:
    `checkConstruct` in interface `ConstructFraming`

### getAllConstructs

    public java.util.List getAllConstructs()

  Get a full list of the constructs of the panel's type in the domain.

  Specified by:
    `getAllConstructs` in interface `ConstructFraming`

### cloneConstruct

    protected UIObject cloneConstruct(UIObject uiConstruct)

  Specified by:
    `cloneConstruct` in class `AConstructFramePanel`

### setupMainPanel

    protected javax.swing.JPanel setupMainPanel()

  Description copied from class: `AConstructFramePanel`
  Sets up the main panel in which construct editing will happen. Often, this is a simple wrapper panel that contains a ConstructEditing panel and not much else.

  Specified by:
    `setupMainPanel` in class `AConstructFramePanel`

### refresh

    public void refresh()

  Specified by:
    `refresh` in class `AConstructFramePanel`

### frameActionPerformed

    public boolean frameActionPerformed(java.awt.event.ActionEvent event)

  Description copied from interface: `FramePanel`
  Should recognise panel specific events and processes them. This is a separate method from the normal actionPerformed because it is called by other event handlers and must let them know whether it recognised the event.

  Specified by:
    `frameActionPerformed` in interface `FramePanel`
  Specified by:
    `frameActionPerformed` in interface `ConstructFraming`
  Specified by:
    `frameActionPerformed` in class `AConstructFramePanel`
  Parameters:
    `event` - the event to be processed.
  Returns:
    true if the event was recognised, false if not.

### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent ae)

  Wakes up the ActionListener with a user action. This is called when a KeyStroke happens in which the ActionListener registered its interest.

  Specified by:
    `actionPerformed` in interface `java.awt.event.ActionListener`
  Specified by:
    `actionPerformed` in class `AConstructFramePanel`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD